Bug 965654 - dd option status=noxfer is ignored
Summary: dd option status=noxfer is ignored
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: coreutils
Version: 6.4
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: ---
Assignee: Ondrej Vasik
QA Contact: Tomas Dolezal
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-05-21 13:22 UTC by Hubert Kario
Modified: 2013-11-21 20:55 UTC (History)
3 users (show)

(edit)
Cause: 
Utility dd produces the transfer statistics output even with status=noxfer is specified.

Consequence: 
Scripts/users relying on no transfer statistics might get confused.

Fix: 
New option status=none was implemented, to suppress all informational output.

Result: 
Unnecessary information produced by dd is no longer displayed with this option.
Clone Of:
(edit)
Last Closed: 2013-11-21 20:55:40 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:1652 normal SHIPPED_LIVE Low: coreutils security, bug fix, and enhancement update 2013-11-20 21:53:21 UTC

Description Hubert Kario 2013-05-21 13:22:44 UTC
Description of problem:
When running 'dd' command with option 'status=noxfer', dd still prints the status to standard error output

Version-Release number of selected component (if applicable):
coreutils-8.4-19.el6.x86_64

How reproducible:
Always

Steps to Reproduce:
1. dd if=/dev/zero bs=1 count=1 status=noxfer

Actual results:
1+0 records in
1+0 records out

Expected results:
No output

Additional info:
The option is described both in dd --help and man page.

The problem also exists in Fedora 18

Comment 1 Ondrej Vasik 2013-05-22 06:46:23 UTC
Thanks for report, but AFAIK this is expected behaviour. New option status=none for supressing these kind of information was implemented by http://git.savannah.gnu.org/cgit/coreutils.git/commit/?id=7331ab55fc28ac03c18cd683b7748a07dbd63f0f . Should I take it as a request for this new flag for RHEL-6 coreutils or this explanation is enough for you?

Comment 2 Hubert Kario 2013-05-22 14:21:12 UTC
Yes, you can treat this bug as RFE.

Still, I think that "suppress transfer statistics" is misleading and should be reworded. Perhaps "suppress transfer speed statistics", as it's the main information printed in this line...

Comment 3 Ondrej Vasik 2013-05-22 18:28:02 UTC
Ok, fine... upstream reworded this a bit as you can see in the patch. If you have any less misleading suggestion, we may try to propose it as improvement to upstream. Otherwise I'll use their wording and patch.

Comment 4 Hubert Kario 2013-05-23 09:45:35 UTC
upstream change to noxfer description looks good, I think we can leave it as is

Comment 8 errata-xmlrpc 2013-11-21 20:55:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1652.html


Note You need to log in before you can comment on or make changes to this bug.